<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Muestra información de los documentos relacionados a la solicitud      
@cu             CU-SA-AC-155
 

  
@ManagedBean 	RevisarCompletitudDocumentosMB
-->
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets" 
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Revisar completitud documentos::.
    </ui:define>

    <ui:define name="content">

        <h:form>
            <h:panelGrid columns="7" cellspacing="10" >
                <h:outputLabel value="No. Solcitud:" styleClass="outputLabelStyle" />

                <p:commandLink id="solicitudLink-2"
                               styleClass="commandLinkStyle"
                               onstart="statusDialog2.show();"
                               update=":isCC:infoSolicitudTV"
                               oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                               value="#{revisarCompletitudDocumentos.solicitud.numero}"
                               action="#{consultaInformacionSolicitud.consultarSolicitud}">
                    <f:setPropertyActionListener value="#{revisarCompletitudDocumentos.solicitud.numero}"
                                                 target="#{consultaInformacionSolicitud.numeroRadicacion}"/>

                </p:commandLink>
                <p:spacer width="50"/>
                <p:spacer width="50"/>
                <p:spacer width="50"/>

                <h:outputLabel value="Fecha de solicitud:" styleClass="outputLabelStyle" />
                <h:outputText class="outputTextStyle" value="#{revisarCompletitudDocumentos.solicitud.fecha}">
                    <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"/>

                </h:outputText>



            </h:panelGrid>

        </h:form>

        <ui:include src="/avaluos/ingresoSolicitud/administracionDocumentacionAvaluoComercial.xhtml" />

        <h:form>
            <h:panelGrid columns="2" cellspacing="7">
                <p:commandButton value="Iniciar trámite" icon="ui-icon-seek-next"
                                 action="#{revisarCompletitudDocumentos.buscarRadicacionDefinitiva}"
                                 oncomplete="confirmaInicioTramiteWV.show();"
                                 update=":confirmaInicioTramite:ultimateConfirmationMsg"/>

                <p:commandButton value="Solicitar documentos faltantes" icon="ui-icon-document"
                                 oncomplete="confirmaDocumentosFaltantesWV.show();" />
            </h:panelGrid>

            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 action="#{revisarCompletitudDocumentos.cerrar}"
                                 icon="ui-icon-circle-close" immediate="true" ajax="false"/>
                <p:spacer height="0" width="20" />
            </p:outputPanel>

        </h:form>


        <p:dialog widgetVar="prediosWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"  modal="true"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>



        <p:dialog header="Adicionar solicitante" dynamic="true"
                  widgetVar="addSolicitanteDialogWV" width="900" appendToBody="true"
                  modal="true">
            <p:panel header="Datos del solicitante">
                <ui:include src="/avaluos/util/capturaDatosSolicitante.xhtml">
                    <ui:param name="adicionarSolicitanteWvParam"
                              value="guardarSolicitanteConfirmationWV" />
                </ui:include>
            </p:panel>
        </p:dialog>


        <p:dialog id="adminAnexos" widgetVar="administrarAnexosWV"
                  header="Anexos relacionados" appendToBody="true" closable="true"
                  minimizable="false" dynamic="true" width="900">
            <ui:include src="/avaluos/ingresoSolicitud/administrarAnexos.xhtml">
                <ui:param name="managedBeanParam"
                          value="#{administracionDocumentacionAvaluoComercial}" />
            </ui:include>
        </p:dialog>

        <misc:ultimateConfirmDialogCC
            confirmMessage="El trámite pasará a la actividad solicitar documentos. ¿Esta seguro de continuar?"
            confirmDialogWV="confirmaDocumentosFaltantesWV"
            voidActionOnYes="#{revisarCompletitudDocumentos.solicitarDocumentosFaltantes}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            actionOnNoIsClose="true" useStringActionOnNo="false" useStringActionOnYes="false"/>

        <misc:ultimateConfirmDialogCC id="confirmaInicioTramite"  
                                      confirmMessage="El trámite se iniciará aunque los documentos que deben ser aportados no estén completos. 
                                      La radicación definitiva será la número #{revisarCompletitudDocumentos.documentoDefinitivo.numeroRadicacion}
                                      del #{revisarCompletitudDocumentos.documentoDefinitivo.fechaRadicacion}. \n¿Está seguro de que desea continuar? "
                                      confirmDialogWV="confirmaInicioTramiteWV"
                                      voidActionOnYes="#{revisarCompletitudDocumentos.iniciarTramite}"
                                      yesLabel="Aceptar" noLabel="Cancelar" 
                                      actionOnNoIsClose="true" useStringActionOnNo="false" useStringActionOnYes="false"/>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate=":documentacionPagosTV:administrarDocumentacionAvaluoForm:msgsDocTramiteAvaluo"
                                           confirmDialogWV="docAvaluosViewerWV" ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           doctypeAtt="#{administracionDocumentacionAvaluoComercial.tipoMimeDocTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           headerLabel="Previsualización de documento" noRendered="false"
                                           yesRendered="false" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <avaluos:informacionSolicitudCC id="isCC" 
                                        thisWVName="infoSolicitudCCWV" 
                                        thisId="isCC"
                                        mostrarInfoPago="false"
                                        detallePredioWVName="detallesPredioWV"
                                        detallePredioId="dpCC"
                                        infoPredialWVName="prediosWV"
                                        infoPredialId="pdsDialog"
                                        managedBean="#{consultaInformacionSolicitud}" />

        <ui:include src="/util/visorGeografico.xhtml" />


    </ui:define>


</ui:composition>
